bmstrsparsevec.h File Reference

string sparse vector based on bit-transposed matrix More...

`#include <stddef.h>`
`#include "bmconst.h"`
`#include <stdexcept>`
`#include <string_view>`
`#include "bmtrans.h"`
`#include "bmalgo.h"`
`#include "bmbuffer.h"`
`#include "bmbmatrix.h"`
`#include "bmdef.h"`
Include dependency graph for bmstrsparsevec.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | bm::str_sparse_vector< CharType, BV, STR_SIZE >
| succinct sparse vector for strings with compression using bit-slicing ( transposition) method More...
struct | bm::str_sparse_vector< CharType, BV, STR_SIZE >::statistics
struct | bm::str_sparse_vector< CharType, BV, STR_SIZE >::is_remap_support
struct | bm::str_sparse_vector< CharType, BV, STR_SIZE >::is_rsc_support
struct | bm::str_sparse_vector< CharType, BV, STR_SIZE >::is_dynamic_splices
class | bm::str_sparse_vector< CharType, BV, STR_SIZE >::reference_base
class | bm::str_sparse_vector< CharType, BV, STR_SIZE >::const_reference
| Reference class to access elements via common [] operator. More...
class | bm::str_sparse_vector< CharType, BV, STR_SIZE >::reference
| Reference class to access elements via common [] operator. More...
class | bm::str_sparse_vector< CharType, BV, STR_SIZE >::const_iterator
| Const iterator to do quick traverse of the sparse vector. More...
class | bm::str_sparse_vector< CharType, BV, STR_SIZE >::back_insert_iterator
| Back insert iterator implements buffered insert, faster than generic access assignment. More...

## Namespaces

namespace | bm

## Enumerations

enum class | bm::remap_setup { bm::COPY_RTABLES }

## Detailed Description

string sparse vector based on bit-transposed matrix

Definition in file bmstrsparsevec.h.